Hello Guest, Welcome to Apnea Board !
As a guest, you are limited to certain areas of the board and there are some features you can't use.
To post a message, you must create a free account using a valid email address.

or Create an Account


New Posts   Today's Posts

SleepMaster AdoptopenJDK 11.0.9.1+1 problem
#1
SleepMaster AdoptopenJDK 11.0.9.1+1 problem
I use AdoptOpenJDK LTS 11 for my JDK. I try to remain current quarterly. I upgraded from 11.0.8.8+10 to 11.0.9.1+1 on 11/18/2020. I tried downloading my data yesterday and got the attached message. Re-installed prior java JDK release and all works fine. I see this as a problem going forward with open source java and no source apps one might be running. If anyone has any ideas, I would be interested.


Attached Files Thumbnail(s)
   
Post Reply Post Reply






Donate to Apnea Board  
#2
RE: SleepMaster AdoptopenJDK 11.0.9.1+1 problem
When I upgraded from OpenJDK-8 to version 11 on my Linux boxes, I ran into a similar problem.  I had to modify my code to run a ".jar" file to this, "java --module-path /usr/share/openjfx/lib --add-modules ALL-MODULE-PATH -jar".
Crimson Nape
Apnea Board Moderator
www.ApneaBoard.com
___________________________________
Useful Links -or- When All Else Fails:
OSCAR Chart Organization
Attaching Images and Files on Apnea Board
Beginner's Guide to Sleepyhead and OSCAR
Apnea Helpful Tips

INFORMATION ON APNEA BOARD FORUMS OR ON APNEABOARD.COM SHOULD NOT BE CONSIDERED AS MEDICAL ADVICE. ALWAYS SEEK THE ADVICE OF A PHYSICIAN BEFORE SEEKING TREATMENT FOR MEDICAL CONDITIONS, INCLUDING SLEEP APNEA. INFORMATION POSTED ON THE APNEA BOARD WEB SITE AND FORUMS ARE PERSONAL OPINION ONLY AND NOT NECESSARILY A STATEMENT OF FACT.
Post Reply Post Reply
#3
RE: SleepMaster AdoptopenJDK 11.0.9.1+1 problem
I think that is a different problem. The JDK in version 8 also included JavaFX which from 9 on was excluded and needs to be installed separately (openifx). Flasfpap uses JavaFX as its GUI interface, SleepMaster does not. This is one of the reasons I choose to use SleepMaster (no javaFX dependency, all needed parts are included in the JDK). Flashpap then has to point to JavaFX libraries. I would have thought those building the JDK and implementing JavaFX would have found an easier resolution. I need to research JavaFX more.
Post Reply Post Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  Update problem: no info re pressure settings Dormeo 6 178 11-16-2020, 06:13 PM
Last Post: Dormeo
  ResScan 5.9 Running Problem Toby Tam 1 101 10-13-2020, 07:03 AM
Last Post: Crimson Nape
Sad Problem installing Oscar with SleepyHead info Tinkerbell 9 154 09-16-2020, 01:46 AM
Last Post: jaswilliams
  CMS50F v6.1 time problem in OSCAR dcuste 2 257 06-12-2020, 11:18 AM
Last Post: GuyScharf
  recent download problem Elizabethwa 8 358 05-03-2020, 11:33 PM
Last Post: GuyScharf
  Problem Updating to new OSCAR version on MAC [Resolved Post 2] Plmnb 2 13,138 04-23-2020, 09:25 AM
Last Post: Plmnb
  Oscar installing on Ubuntu 18.04 - problem - please help spioch 5 363 03-31-2020, 03:47 PM
Last Post: spioch


New Posts   Today's Posts






About Apnea Board

Apnea Board is an educational web site designed to empower Sleep Apnea patients.